*___ generate vars ____

gen hpreal=hpnom/cpi*100
label var hpreal "Real House Price Index"
gen lhpreal=log(hpreal)
label var lhpreal "log(Real House Price Index)"
gen lhpnom=log(hpnom)
label var lhpnom "log(Nominal House Price Index)"
gen lrgdpbarro=log(rgdpbarro)
label var lrgdpbarro "log(Real GDP per Capita (Barro))"
gen dlrgdpbarro=d.lrgdpbarro
label var dlrgdpbarro "Delta log(Real GDP p.c.)"
sort ccode year
by ccode: gen dlhpnom=d.lhpnom
label var dlhpnom "Delta log(Nominal House Price Index)"
gen lcpi=log(cpi)
label var lcpi "log(CPI)"
by ccode: gen dlcpi=d.lcpi
label var dlcpi "Delta log(CPI)"
label var iso "Country"
label var year "Year"

sort ccode year
by ccode: gen dlhpreal=d.lhpreal 
label var dlhpreal "D log(Real House Price Index)"
sort year iso

by year: egen hpreal_mean=mean(hpreal)
label var hpreal_mean "Mean Real House Price Index"

by year: egen hpreal_mean_ex=mean(hpreal) if iso!="JPN" & iso!="FIN" & iso!="DEU" // exclude the ones that (partially) rely on land prices
label var hpreal_mean_ex "Mean Real House Price Index (11 Countries)" 
gen lhpreal_mean=log(hpreal_mean)
label var lhpreal_mean "Log (Mean Real House Price Index)"

by year: egen hpreal_median=median(hpreal)
label var hpreal_median "Median Real House Price Index"

gen lhpreal_median=log(hpreal_median)
label var lhpreal_median "Log (Median Real House Price Index)"


*___ generate eras and suberas ___

/*  eras: (1) pre-WW2 (1870-1945), (2) post-WW2 (1946-2012);
	sub-eras: (1) pre WW1 (1870-1913), (2) interwar period (1919-1939), 
	(3) Bretton Woods (1948-1971), (4) post-Bretton Woods (1972-2012) */

gen pre45=1 if year<=1945
replace pre45=0 if year>1945
gen post45=1 if year>1945
replace post45=0 if year<=1945
gen era=.
replace era=1 if pre45==1
replace era=2 if post45==1
label define era_lb 1 "Pre-WW2" 2 "Post-WW2"
label value era era_lb
gen sera=.
replace sera=1 if year>=1870 & year<=1913
replace sera=2 if year>=1919 & year<=1939
replace sera=3 if year>=1948 & year<=1971
replace sera=4 if year>=1972 & year<=2012

label define sera_lb 1 "Pre-WW1" 2 "Interwar" 3 "Bretton Woods" 4 "Post-Bretton Woods"
label value sera sera_lb

*___ wars ___

gen ww1 = 1 if year>=1914 & year<=1919
label var ww1 "WW1"
gen ww2 = 1 if year>=1939 & year<=1947
label var ww2 "WW2"
replace ww1 = 0 if ww1~=1
replace ww2 = 0 if ww2~=1
gen war=.
label var war "WWs"
replace war=1 if ww1==1 | ww2==1




